Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Float64Min Class Reference

`#include <coherence/util/aggregator/Float64Min.hpp>`

Inherits AbstractFloat64Aggregator.

List of all members.

## Detailed Description

Calculates a minimum of numeric values extracted from a set of entries in a Map.

All the extracted Number objects will be treated as `int64_t` values.

Author:
  djl 2008.05.12

## Public Types
typedef spec::Handle | Handle
| Float64Min Handle definition.
typedef spec::View | View
| Float64Min View definition.
typedef spec::Holder | Holder
| Float64Min Holder definition.
## Protected Member Functions
| Float64Min ()
| Default constructor (necessary for the PortableObject interface).
| Float64Min (ValueExtractor::View vExtractor)
| Construct a Float64Min aggregator.
virtual void | init (bool fFinal)
  | Initialize the aggregation result. Parameters:
  | fFinal | true is passed if the aggregation process that is being initialized must produce a final aggregation result; this will only be false if a parallel approach is being used and the initial (partial) aggregation process is being initialized
virtual void | process (Object::View v, bool fFinal)
  | Incorporate one aggregatable value into the result. If the `fFinal` parameter is true, the given object is a partial result (returned by an individual parallel aggregator) that should be incorporated into the final result; otherwise, the object is a value extracted from an coherence::util::InvocableMap::Entry. Parameters:
  | vO | the value to incorporate into the aggregated result
  | fFinal | true to indicate that the given object is a partial result returned by a parallel aggregator

## Constructor & Destructor Documentation

Float64Min | ( | ValueExtractor::View | vExtractor | ) | `[protected]`

Construct a Float64Min aggregator.

Parameters:

  | vExtractor | the extractor that provides a value in the form of any object that is a Number

The documentation for this class was generated from the following file:

- coherence/util/aggregator/Float64Min.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.